Bug 525929 - Review Request: youtube-dl - Small command-line program to download videos from YouTube
Summary: Review Request: youtube-dl - Small command-line program to download videos fr...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-27 10:31 UTC by Rafał Psota
Modified: 2014-02-10 13:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-08 20:42:04 UTC
bugs.michael: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rafał Psota 2009-09-27 10:31:18 UTC
Spec URL: http://rafalzaq.fedorapeople.org/review/youtube-dl/youtube-dl.spec
SRPM URL: http://rafalzaq.fedorapeople.org/review/youtube-dl/youtube-dl-2009.09.13-1.fc11.src.rpm
Description: Small command-line program to download videos from YouTube.

Note that this package has been orphaned and haven't been updated for more than three months.

Comment 1 Michael Schwendt 2009-10-01 10:06:39 UTC
> Source1:        http://bitbucket.org/rg3/youtube-dl/wiki/Home

> %prep
> cp %{SOURCE1} .
> mv Home index.html

Why the extra "mv"?

cp %{SOURCE1} index.html
or:
cp --preserve=timestamps %{SOURCE1} index.html
or (to match your %install section):
install -p -m0644 %{SOURCE1} index.html


Beyond that: APPROVED

Comment 2 Till Maas 2009-10-09 13:24:25 UTC
Rafał, when are you going to push the update to Fedora? You also need to reassign the open bug reports to yourself:
https://admin.fedoraproject.org/pkgdb/packages/bugs/youtube-dl

If you want, I can create update for F10 to Rawhide. There is a high demand for a new release: bug #496593

Comment 3 Rafał Psota 2009-10-09 16:16:54 UTC
Sorry, tough week. I'll update youtube-dl in few minutes. 

And thanks for review. I'll change it before upload.

Comment 4 Till Maas 2010-07-08 20:42:04 UTC
I own youtube-dl now and everything is taken care of afaik.

Comment 5 Christopher Meng 2014-02-08 03:54:08 UTC
Package Change Request
======================
Package Name: youtube-dl
New Branches: epel7
Owners: cicku till mcepl

Comment 6 Gwyn Ciesla 2014-02-10 13:18:11 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.